HPC Jobs
Get HPC Job details
Retrieve an HPC Job’s details by its Id. Required permissions: ViewJobs
GET
/
api
/
hpc
/
v1
/
jobs
/
{jobId}
Get HPC Job details
curl --request GET \
--url https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"dataPlaneId": {
"id": "000000000000000000000000",
"name": "Local"
},
"id": "6a17183ab03cb818f0f9c27b",
"jobRunCommand": "hello.sh",
"number": 1,
"projectId": "6a17175ab03cb818f0f9c25f",
"stageTime": {
"submissionTime": 1779898426846,
"completedTime": 1779899523770,
"runStartTime": 1779898520599
},
"startedBy": {
"id": "6a162a2d063e69df3329c211",
"username": "integration-test"
},
"status": "Completed",
"tags": [
{
"name": "example",
"tagId": "example"
}
],
"title": "test1",
"requestedResources": {
"cpus": 4,
"gpus": 1,
"memory": 8589934592,
"nodes": 1,
"timeLimit": 60
},
"script": "echo 'Hello World'",
"usage": {
"cpu": 1.3193611323383083,
"memory": 3473408
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
Id of HPC Job to retrieve details for
Response
Success
Show child attributes
Show child attributes
Id of the HPC Job.
Example:
"6a17183ab03cb818f0f9c27b"
The Slurm script / command the HPC Job ran.
Example:
"hello.sh"
Sequential number of the HPC Job within the project.
Example:
1
Id of the project the HPC Job belongs to.
Example:
"6a17175ab03cb818f0f9c25f"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Current status of the HPC Job.
Example:
"Completed"
Show child attributes
Show child attributes
Name of the HPC Job.
Example:
"test1"
Resources requested at job submission time.
Show child attributes
Show child attributes
The contents of the Slurm script that the HPC job ran.
Example:
"echo 'Hello World'"
Show child attributes
Show child attributes
Last modified on October 8, 2026
Was this page helpful?
⌘I
Get HPC Job details
curl --request GET \
--url https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"dataPlaneId": {
"id": "000000000000000000000000",
"name": "Local"
},
"id": "6a17183ab03cb818f0f9c27b",
"jobRunCommand": "hello.sh",
"number": 1,
"projectId": "6a17175ab03cb818f0f9c25f",
"stageTime": {
"submissionTime": 1779898426846,
"completedTime": 1779899523770,
"runStartTime": 1779898520599
},
"startedBy": {
"id": "6a162a2d063e69df3329c211",
"username": "integration-test"
},
"status": "Completed",
"tags": [
{
"name": "example",
"tagId": "example"
}
],
"title": "test1",
"requestedResources": {
"cpus": 4,
"gpus": 1,
"memory": 8589934592,
"nodes": 1,
"timeLimit": 60
},
"script": "echo 'Hello World'",
"usage": {
"cpu": 1.3193611323383083,
"memory": 3473408
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}